tigase.server.xmppclient

## Class SeeOtherHostDualIPSQLRepository

- java.lang.Object
- - tigase.server.xmppclient.SeeOtherHostDualIPSQLRepository

- All Implemented Interfaces:
    DataSourceAware<DataRepository>, SeeOtherHostDualIP.DualIPRepository<DataRepository>

      public class SeeOtherHostDualIPSQLRepository
      extends Object
      implements SeeOtherHostDualIP.DualIPRepository<DataRepository>

  Author:
    Wojtek

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CLUSTER_NODES_TABLE`
    `static String` | `DB_GET_ALL_DATA_DB_QUERY_KEY`
    `static String` | `GET_ALL_QUERY_TIMEOUT_QUERY_KEY`

    - ### Fields inherited from interface tigase.server.xmppclient.SeeOtherHostDualIP.DualIPRepository

      `HOSTNAME_ID, SECONDARY_HOSTNAME_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SeeOtherHostDualIPSQLRepository()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<BareJID,BareJID>` | `queryAllDB()`
    `void` | `setDataSource(DataRepository dataSource)` Method called to provide class with instance of a data source.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CLUSTER_NODES_TABLE

          public static final String CLUSTER_NODES_TABLE

      See Also:
        Constant Field Values

    - #### DB_GET_ALL_DATA_DB_QUERY_KEY

          public static final String DB_GET_ALL_DATA_DB_QUERY_KEY

      See Also:
        Constant Field Values

    - #### GET_ALL_QUERY_TIMEOUT_QUERY_KEY

          public static final String GET_ALL_QUERY_TIMEOUT_QUERY_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SeeOtherHostDualIPSQLRepository

          public SeeOtherHostDualIPSQLRepository()

  - ### Method Detail

    - #### setDataSource

          public void setDataSource(DataRepository dataSource)

      Description copied from interface: `DataSourceAware`
      Method called to provide class with instance of a data source.
      Specified by:
        `setDataSource` in interface `DataSourceAware<DataRepository>`

    - #### queryAllDB

          public Map<BareJID,BareJID> queryAllDB()
                                          throws SQLException

      Specified by:
        `queryAllDB` in interface `SeeOtherHostDualIP.DualIPRepository<DataRepository>`
      Throws:
        `SQLException`

Copyright © 2004–2021 "Tigase, Inc.". All rights reserved.